<!DOCTYPE html>
<html>
<head>
	<title>Modal</title>
</head>

<style type="text/css">
	body{
		margin: 0;
		padding:0;
	}

	/* The Modal (background) */
	.modal {
	  display: none; /* Hidden by default */
	  position: fixed; /* Stay in place */
	  z-index: 1; /* Sit on top */
	  padding-top: 100px; /* Location of the box */
	  left: 0;
	  top: 0;
	  width: 100%; /* Full width */
	  height: 100%; /* Full height */
	  overflow: auto; /* Enable scroll if needed */
	  background-color: rgb(0,0,0); /* Fallback color */
	  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
	}

	/* Modal Content */
	.modal-content {
	  position: relative;
	  background-color: #fefefe;
	  margin: auto;
	  padding: 20px;
	  border: 1px solid #888;
	  width: 25%;
	  border-radius: 5px;
	/*   -webkit-animation-name: animatetop;
	-webkit-animation-duration: 4s;
	animation-name: animatetop;
	animation-duration: 4s */
	}

	/* The Close Button */
	.close {
	  color: #aaaaaa;
	  float: right;
	  font-size: 28px;
	  font-weight: bold;
	}

	.close:hover,
	.close:focus {
	  color: #000;
	  text-decoration: none;
	  cursor: pointer;
	}

	.modal-body{
		margin-top: 50px;
		height: 300px;
		background-color: #eee;
		border-radius: 5px;
	}

	.buttonContainer button{
		  text-transform: uppercase;
		  border: none;
		  border-bottom: 3px solid #fff;
		  background-color: transparent;
		  color: #000;
		  opacity: .9;
		  padding: 20px;
		  box-sizing: border-box;
		  float: left;
		  outline: none;
		  width: 50%;
		  letter-spacing: 7px;
		  font-weight: bolder;
		  cursor: pointer;
	}

	.inputWithIcon input{
		position: relative;
		width: 80%;
		margin: 10px;
		background-color: #ccc;
		height: 30px;
		border: none;
	}

	.inputWithIcon{
		align-items: center;
		text-align: center;
	}


</style>
<body>

	<button id="modalBtn">blas</button>

	<div class="modal" id="registerModal">
		<div class="modal-content">
			<span class="close">&times;</span>
    		
    		<div class="modal-body">
    			<div class="tabContainer">
    				<div class="buttonContainer">
						<button onclick="showPanel(0,1)">sign in</button>
						<button onclick="showPanel(1,1)">sign up</button>			
					</div>

					<div class="tabPanel">
						<div class="inputWithIcon">
						<input type="text" id="username" placeholder="Username">
						<i class="fa fa-user fa-lg fa-fw" aria-hidden="true"></i>
						
						<input type="password" placeholder="Password" id="password">
						<i class="fa fa-unlock fa-lg fa-fw" aria-hidden="true"></i>
						<i class="far fa-eye fa-lg fa-fw pull-right eye" aria-hidden="true" onmousedown="showPassword()"></i>
						</div>
					</div>

					<div class="tabPanel">
						Lorem ipsum dolor sit amet, consectetur adipisicing elit. Pariatur laborum explicabo doloribus, quisquam maiores animi dolorum minus, repellendus dicta delectus, veritatis est ab odit, nesciunt recusandae deleniti deserunt. Ducimus deleniti veritatis cum dolorum nemo, sit praesentium labore odit molestiae dicta ut est quam accusamus rem nostrum repudiandae nulla. Repellendus, soluta.
					</div>
    			</div>
    		</div>
		</div>
	</div>

	<script type="text/javascript">
		// Get the modal
var modal = document.getElementById('registerModal');

// Get the button that opens the modal
var btn = document.getElementById("modalBtn");

// Get the <span> element that closes the modal
var span = document.getElementsByClassName("close")[0];

var blur = document.getElementById("blured"); 

var head = document.getElementsByClassName("head")[0];
// When the user clicks the button, open the modal 
btn.onclick = function() {
  modal.style.display = "block";
  blur.style.filter = "blur(1px)";
  head.style.filter = "unset";
}

// When the user clicks on <span> (x), close the modal
span.onclick = function() {
  modal.style.display = "none";
  blur.style.filter = "unset";
}

// When the user clicks anywhere outside of the modal, close it
window.onclick = function(event) {
  if (event.target == modal) {
    modal.style.display = "none";
    blur.style.filter = "unset";
  }
}
	</script>
	
	<script type="text/javascript">

var tabButtons=document.querySelectorAll(".tabContainer .buttonContainer button");
var tabPanels=document.querySelectorAll(".tabContainer .tabPanel");


function showPanel(panelIndex,opacityAmount) {
	tabButtons.forEach(function(node){
		node.style.opacity="";
		node.style.color="";
	});
	tabButtons[panelIndex].style.opacity=opacityAmount;
	tabButtons[panelIndex].style.color="white";
	
	tabPanels.forEach(function(node){
		node.style.display="NONE"; 
	});
	tabPanels[panelIndex].style.display="block";
	//tabPanels[panelIndex].style.backgroundColor=colorCode;
}

function showPassword() {
	var x=document.getElementById("password");
	if (x.type === "password") {
		x.type = "text";
	}
	
}

function hide() {
	// body...
	var x=document.getElementById("password");

	if(x.type === "text"){
		x.type = "password";
	}
}

showPanel(0,1);



	</script>

</body>
</html>